edksetup.sh: Fix typo and return code
The typo was a check for the string "BaseTool" instead of "BaseTools".
Also fixed the issue where the script returned success even when
configuration failed.
Contributed-under: TianoCore Contribution Agreement 1.0
Signed-off-by: Leif Lindholm <leif.lindholm@linaro.org>
Reviewed-by: Jordan Justen <jordan.l.justen@intel.com>
git-svn-id: https://svn.code.sf.net/p/edk2/code/trunk/edk2@15200 6f19259b-4bc3-4df7-8a09-765794883524
diff --git a/edksetup.sh b/edksetup.sh
index 7285dfe..0b7e33f 100755
--- a/edksetup.sh
+++ b/edksetup.sh
@@ -30,6 +30,7 @@
echo Please note: This script must be \'sourced\' so the environment can be changed.
echo ". edksetup.sh"
echo "source edksetup.sh"
+ return 1
}
function SetupEnv()
@@ -51,7 +52,6 @@
]
then
HelpMsg
- return
else
SetupEnv "$*"
fi
@@ -60,11 +60,15 @@
if [ $# -gt 1 ]
then
HelpMsg
- return
-elif [ $# -eq 1 ] && [ "$1" != "BaseTool" ]
+elif [ $# -eq 1 ] && [ "$1" != "BaseTools" ]
then
HelpMsg
- return
+fi
+
+RETVAL=$?
+if [ $RETVAL -ne 0 ]
+then
+ return $RETVAL
fi
SourceEnv "$*"